OpenNMS API 1.2.9

## org.opennms.netmgt.xml.event
Class Event

    java.lang.Object
      org.opennms.netmgt.xml.event.Event

All Implemented Interfaces:
  java.io.Serializable

public class Event
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private Autoacknowledge` `_autoacknowledge`
`private java.util.ArrayList` `_autoactionList`
`private Correlation` `_correlation`
`private java.lang.String` `_creationTime`
`private int` `_dbid`
`private java.lang.String` `_descr`
`private java.lang.String` `_distPoller`
`private java.util.ArrayList` `_forwardList`
`private boolean` `_has_dbid` keeps track of state for field: _dbid
`private boolean` `_has_nodeid` keeps track of state for field: _nodeid
`private java.lang.String` `_host`
`private java.lang.String` `_ifAlias`
`private java.lang.String` `_ifIndex`
`private java.lang.String` `_interface`
`private java.util.ArrayList` `_loggroupList`
`private Logmsg` `_logmsg`
`private Mask` `_mask`
`private java.lang.String` `_masterStation`
`private java.lang.String` `_mouseovertext`
`private long` `_nodeid`
`private java.util.ArrayList` `_operactionList`
`private java.lang.String` `_operinstruct`
`private Parms` `_parms`
`private java.lang.String` `_pathoutage`
`private java.util.ArrayList` `_scriptList`
`private java.lang.String` `_service`
`private java.lang.String` `_severity`
`private Snmp` `_snmp`
`private java.lang.String` `_snmphost`
`private java.lang.String` `_source`
`private java.lang.String` `_time`
`private Tticket` `_tticket`
`private java.lang.String` `_uei`
`private java.lang.String` `_uuid`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Event()`

Method Summary
`void` `addAutoaction(Autoaction vAutoaction)`
`void` `addAutoaction(int index, Autoaction vAutoaction)`
`void` `addForward(Forward vForward)`
`void` `addForward(int index, Forward vForward)`
`void` `addLoggroup(int index, java.lang.String vLoggroup)`
`void` `addLoggroup(java.lang.String vLoggroup)`
`void` `addOperaction(int index, Operaction vOperaction)`
`void` `addOperaction(Operaction vOperaction)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addScript(int index, Script vScript)`
`void` `addScript(Script vScript)`
`void` `clearAutoaction()`
`void` `clearForward()`
`void` `clearLoggroup()`
`void` `clearOperaction()`
`void` `clearScript()`
`void` `deleteDbid()`
`void` `deleteNodeid()`
`java.util.Enumeration` `enumerateAutoaction()`
`java.util.Enumeration` `enumerateForward()`
`java.util.Enumeration` `enumerateLoggroup()`
`java.util.Enumeration` `enumerateOperaction()`
`java.util.Enumeration` `enumerateScript()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Autoacknowledge` `getAutoacknowledge()` Returns the value of field 'autoacknowledge'.
`Autoaction[]` `getAutoaction()`
`Autoaction` `getAutoaction(int index)`
`java.util.Collection` `getAutoactionCollection()`
`int` `getAutoactionCount()`
`Correlation` `getCorrelation()` Returns the value of field 'correlation'.
`java.lang.String` `getCreationTime()` Returns the value of field 'creationTime'.
`int` `getDbid()` Returns the value of field 'dbid'.
`java.lang.String` `getDescr()` Returns the value of field 'descr'.
`java.lang.String` `getDistPoller()` Returns the value of field 'distPoller'.
`Forward[]` `getForward()`
`Forward` `getForward(int index)`
`java.util.Collection` `getForwardCollection()`
`int` `getForwardCount()`
`java.lang.String` `getHost()` Returns the value of field 'host'.
`java.lang.String` `getIfAlias()` Returns the value of field 'ifAlias'.
`java.lang.String` `getIfIndex()` Returns the value of field 'ifIndex'.
`java.lang.String` `getInterface()` Returns the value of field 'interface'.
`java.lang.String[]` `getLoggroup()`
`java.lang.String` `getLoggroup(int index)`
`java.util.Collection` `getLoggroupCollection()`
`int` `getLoggroupCount()`
`Logmsg` `getLogmsg()` Returns the value of field 'logmsg'.
`Mask` `getMask()` Returns the value of field 'mask'.
`java.lang.String` `getMasterStation()` Returns the value of field 'masterStation'.
`java.lang.String` `getMouseovertext()` Returns the value of field 'mouseovertext'.
`long` `getNodeid()` Returns the value of field 'nodeid'.
`Operaction[]` `getOperaction()`
`Operaction` `getOperaction(int index)`
`java.util.Collection` `getOperactionCollection()`
`int` `getOperactionCount()`
`java.lang.String` `getOperinstruct()` Returns the value of field 'operinstruct'.
`Parms` `getParms()` Returns the value of field 'parms'.
`java.lang.String` `getPathoutage()` Returns the value of field 'pathoutage'.
`Script[]` `getScript()`
`Script` `getScript(int index)`
`java.util.Collection` `getScriptCollection()`
`int` `getScriptCount()`
`java.lang.String` `getService()` Returns the value of field 'service'.
`java.lang.String` `getSeverity()` Returns the value of field 'severity'.
`Snmp` `getSnmp()` Returns the value of field 'snmp'.
`java.lang.String` `getSnmphost()` Returns the value of field 'snmphost'.
`java.lang.String` `getSource()` Returns the value of field 'source'.
`java.lang.String` `getTime()` Returns the value of field 'time'.
`Tticket` `getTticket()` Returns the value of field 'tticket'.
`java.lang.String` `getUei()` Returns the value of field 'uei'.
`java.lang.String` `getUuid()` Returns the value of field 'uuid'.
`boolean` `hasDbid()`
`boolean` `hasNodeid()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeAutoaction(Autoaction vAutoaction)`
`boolean` `removeForward(Forward vForward)`
`boolean` `removeLoggroup(java.lang.String vLoggroup)`
`boolean` `removeOperaction(Operaction vOperaction)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeScript(Script vScript)`
`void` `setAutoacknowledge(Autoacknowledge autoacknowledge)` Sets the value of field 'autoacknowledge'.
`void` `setAutoaction(Autoaction[] autoactionArray)`
`void` `setAutoaction(int index, Autoaction vAutoaction)`
`void` `setAutoactionCollection(java.util.Collection vAutoaction)`
`void` `setCorrelation(Correlation correlation)` Sets the value of field 'correlation'.
`void` `setCreationTime(java.lang.String creationTime)` Sets the value of field 'creationTime'.
`void` `setDbid(int dbid)` Sets the value of field 'dbid'.
`void` `setDescr(java.lang.String descr)` Sets the value of field 'descr'.
`void` `setDistPoller(java.lang.String distPoller)` Sets the value of field 'distPoller'.
`void` `setForward(Forward[] forwardArray)`
`void` `setForward(int index, Forward vForward)`
`void` `setForwardCollection(java.util.Collection vForward)`
`void` `setHost(java.lang.String host)` Sets the value of field 'host'.
`void` `setIfAlias(java.lang.String ifAlias)` Sets the value of field 'ifAlias'.
`void` `setIfIndex(java.lang.String ifIndex)` Sets the value of field 'ifIndex'.
`void` `setInterface(java.lang.String _interface)` Sets the value of field 'interface'.
`void` `setLoggroup(int index, java.lang.String vLoggroup)`
`void` `setLoggroup(java.lang.String[] loggroupArray)`
`void` `setLoggroupCollection(java.util.Collection vLoggroup)`
`void` `setLogmsg(Logmsg logmsg)` Sets the value of field 'logmsg'.
`void` `setMask(Mask mask)` Sets the value of field 'mask'.
`void` `setMasterStation(java.lang.String masterStation)` Sets the value of field 'masterStation'.
`void` `setMouseovertext(java.lang.String mouseovertext)` Sets the value of field 'mouseovertext'.
`void` `setNodeid(long nodeid)` Sets the value of field 'nodeid'.
`void` `setOperaction(int index, Operaction vOperaction)`
`void` `setOperaction(Operaction[] operactionArray)`
`void` `setOperactionCollection(java.util.Collection vOperaction)`
`void` `setOperinstruct(java.lang.String operinstruct)` Sets the value of field 'operinstruct'.
`void` `setParms(Parms parms)` Sets the value of field 'parms'.
`void` `setPathoutage(java.lang.String pathoutage)` Sets the value of field 'pathoutage'.
`void` `setScript(int index, Script vScript)`
`void` `setScript(Script[] scriptArray)`
`void` `setScriptCollection(java.util.Collection vScript)`
`void` `setService(java.lang.String service)` Sets the value of field 'service'.
`void` `setSeverity(java.lang.String severity)` Sets the value of field 'severity'.
`void` `setSnmp(Snmp snmp)` Sets the value of field 'snmp'.
`void` `setSnmphost(java.lang.String snmphost)` Sets the value of field 'snmphost'.
`void` `setSource(java.lang.String source)` Sets the value of field 'source'.
`void` `setTime(java.lang.String time)` Sets the value of field 'time'.
`void` `setTticket(Tticket tticket)` Sets the value of field 'tticket'.
`void` `setUei(java.lang.String uei)` Sets the value of field 'uei'.
`void` `setUuid(java.lang.String uuid)` Sets the value of field 'uuid'.
`static Event` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _uuid

    private java.lang.String _uuid

### _dbid

    private int _dbid

### _has_dbid

    private boolean _has_dbid

  keeps track of state for field: _dbid

### _distPoller

    private java.lang.String _distPoller

### _creationTime

    private java.lang.String _creationTime

### _masterStation

    private java.lang.String _masterStation

### _mask

    private Mask _mask

### _uei

    private java.lang.String _uei

### _source

    private java.lang.String _source

### _nodeid

    private long _nodeid

### _has_nodeid

    private boolean _has_nodeid

  keeps track of state for field: _nodeid

### _time

    private java.lang.String _time

### _host

    private java.lang.String _host

### _interface

    private java.lang.String _interface

### _snmphost

    private java.lang.String _snmphost

### _service

    private java.lang.String _service

### _snmp

    private Snmp _snmp

### _parms

    private Parms _parms

### _descr

    private java.lang.String _descr

### _logmsg

    private Logmsg _logmsg

### _severity

    private java.lang.String _severity

### _pathoutage

    private java.lang.String _pathoutage

### _correlation

    private Correlation _correlation

### _operinstruct

    private java.lang.String _operinstruct

### _autoactionList

    private java.util.ArrayList _autoactionList

### _operactionList

    private java.util.ArrayList _operactionList

### _autoacknowledge

    private Autoacknowledge _autoacknowledge

### _loggroupList

    private java.util.ArrayList _loggroupList

### _tticket

    private Tticket _tticket

### _forwardList

    private java.util.ArrayList _forwardList

### _scriptList

    private java.util.ArrayList _scriptList

### _ifIndex

    private java.lang.String _ifIndex

### _ifAlias

    private java.lang.String _ifAlias

### _mouseovertext

    private java.lang.String _mouseovertext

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Event

    public Event()

Method Detail

### addAutoaction

    public void addAutoaction(Autoaction vAutoaction)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vAutoaction` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addAutoaction

    public void addAutoaction(int index,
                              Autoaction vAutoaction)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vAutoaction` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addForward

    public void addForward(Forward vForward)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vForward` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addForward

    public void addForward(int index,
                           Forward vForward)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vForward` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addLoggroup

    public void addLoggroup(java.lang.String vLoggroup)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vLoggroup` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addLoggroup

    public void addLoggroup(int index,
                            java.lang.String vLoggroup)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vLoggroup` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addOperaction

    public void addOperaction(Operaction vOperaction)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vOperaction` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addOperaction

    public void addOperaction(int index,
                              Operaction vOperaction)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vOperaction` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addScript

    public void addScript(Script vScript)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vScript` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addScript

    public void addScript(int index,
                          Script vScript)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vScript` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearAutoaction

    public void clearAutoaction()

### clearForward

    public void clearForward()

### clearLoggroup

    public void clearLoggroup()

### clearOperaction

    public void clearOperaction()

### clearScript

    public void clearScript()

### deleteDbid

    public void deleteDbid()

### deleteNodeid

    public void deleteNodeid()

### enumerateAutoaction

    public java.util.Enumeration enumerateAutoaction()

### enumerateForward

    public java.util.Enumeration enumerateForward()

### enumerateLoggroup

    public java.util.Enumeration enumerateLoggroup()

### enumerateOperaction

    public java.util.Enumeration enumerateOperaction()

### enumerateScript

    public java.util.Enumeration enumerateScript()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getAutoacknowledge

    public Autoacknowledge getAutoacknowledge()

  Returns the value of field 'autoacknowledge'.

  Returns:
    the value of field 'autoacknowledge'.

### getAutoaction

    public Autoaction getAutoaction(int index)
                             throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getAutoaction

    public Autoaction[] getAutoaction()

### getAutoactionCollection

    public java.util.Collection getAutoactionCollection()

### getAutoactionCount

    public int getAutoactionCount()

### getCorrelation

    public Correlation getCorrelation()

  Returns the value of field 'correlation'.

  Returns:
    the value of field 'correlation'.

### getCreationTime

    public java.lang.String getCreationTime()

  Returns the value of field 'creationTime'.

  Returns:
    the value of field 'creationTime'.

### getDbid

    public int getDbid()

  Returns the value of field 'dbid'.

  Returns:
    the value of field 'dbid'.

### getDescr

    public java.lang.String getDescr()

  Returns the value of field 'descr'.

  Returns:
    the value of field 'descr'.

### getDistPoller

    public java.lang.String getDistPoller()

  Returns the value of field 'distPoller'.

  Returns:
    the value of field 'distPoller'.

### getForward

    public Forward getForward(int index)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getForward

    public Forward[] getForward()

### getForwardCollection

    public java.util.Collection getForwardCollection()

### getForwardCount

    public int getForwardCount()

### getHost

    public java.lang.String getHost()

  Returns the value of field 'host'.

  Returns:
    the value of field 'host'.

### getIfAlias

    public java.lang.String getIfAlias()

  Returns the value of field 'ifAlias'.

  Returns:
    the value of field 'ifAlias'.

### getIfIndex

    public java.lang.String getIfIndex()

  Returns the value of field 'ifIndex'.

  Returns:
    the value of field 'ifIndex'.

### getInterface

    public java.lang.String getInterface()

  Returns the value of field 'interface'.

  Returns:
    the value of field 'interface'.

### getLoggroup

    public java.lang.String getLoggroup(int index)
                                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getLoggroup

    public java.lang.String[] getLoggroup()

### getLoggroupCollection

    public java.util.Collection getLoggroupCollection()

### getLoggroupCount

    public int getLoggroupCount()

### getLogmsg

    public Logmsg getLogmsg()

  Returns the value of field 'logmsg'.

  Returns:
    the value of field 'logmsg'.

### getMask

    public Mask getMask()

  Returns the value of field 'mask'.

  Returns:
    the value of field 'mask'.

### getMasterStation

    public java.lang.String getMasterStation()

  Returns the value of field 'masterStation'.

  Returns:
    the value of field 'masterStation'.

### getMouseovertext

    public java.lang.String getMouseovertext()

  Returns the value of field 'mouseovertext'.

  Returns:
    the value of field 'mouseovertext'.

### getNodeid

    public long getNodeid()

  Returns the value of field 'nodeid'.

  Returns:
    the value of field 'nodeid'.

### getOperaction

    public Operaction getOperaction(int index)
                             throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getOperaction

    public Operaction[] getOperaction()

### getOperactionCollection

    public java.util.Collection getOperactionCollection()

### getOperactionCount

    public int getOperactionCount()

### getOperinstruct

    public java.lang.String getOperinstruct()

  Returns the value of field 'operinstruct'.

  Returns:
    the value of field 'operinstruct'.

### getParms

    public Parms getParms()

  Returns the value of field 'parms'.

  Returns:
    the value of field 'parms'.

### getPathoutage

    public java.lang.String getPathoutage()

  Returns the value of field 'pathoutage'.

  Returns:
    the value of field 'pathoutage'.

### getScript

    public Script getScript(int index)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getScript

    public Script[] getScript()

### getScriptCollection

    public java.util.Collection getScriptCollection()

### getScriptCount

    public int getScriptCount()

### getService

    public java.lang.String getService()

  Returns the value of field 'service'.

  Returns:
    the value of field 'service'.

### getSeverity

    public java.lang.String getSeverity()

  Returns the value of field 'severity'.

  Returns:
    the value of field 'severity'.

### getSnmp

    public Snmp getSnmp()

  Returns the value of field 'snmp'.

  Returns:
    the value of field 'snmp'.

### getSnmphost

    public java.lang.String getSnmphost()

  Returns the value of field 'snmphost'.

  Returns:
    the value of field 'snmphost'.

### getSource

    public java.lang.String getSource()

  Returns the value of field 'source'.

  Returns:
    the value of field 'source'.

### getTime

    public java.lang.String getTime()

  Returns the value of field 'time'.

  Returns:
    the value of field 'time'.

### getTticket

    public Tticket getTticket()

  Returns the value of field 'tticket'.

  Returns:
    the value of field 'tticket'.

### getUei

    public java.lang.String getUei()

  Returns the value of field 'uei'.

  Returns:
    the value of field 'uei'.

### getUuid

    public java.lang.String getUuid()

  Returns the value of field 'uuid'.

  Returns:
    the value of field 'uuid'.

### hasDbid

    public boolean hasDbid()

### hasNodeid

    public boolean hasNodeid()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeAutoaction

    public boolean removeAutoaction(Autoaction vAutoaction)

  Parameters:
    `vAutoaction` -

### removeForward

    public boolean removeForward(Forward vForward)

  Parameters:
    `vForward` -

### removeLoggroup

    public boolean removeLoggroup(java.lang.String vLoggroup)

  Parameters:
    `vLoggroup` -

### removeOperaction

    public boolean removeOperaction(Operaction vOperaction)

  Parameters:
    `vOperaction` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeScript

    public boolean removeScript(Script vScript)

  Parameters:
    `vScript` -

### setAutoacknowledge

    public void setAutoacknowledge(Autoacknowledge autoacknowledge)

  Sets the value of field 'autoacknowledge'.

  Parameters:
    `autoacknowledge` - the value of field 'autoacknowledge'.

### setAutoaction

    public void setAutoaction(int index,
                              Autoaction vAutoaction)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vAutoaction` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setAutoaction

    public void setAutoaction(Autoaction[] autoactionArray)

  Parameters:
    `autoactionArray` -

### setAutoactionCollection

    public void setAutoactionCollection(java.util.Collection vAutoaction)

  Parameters:
    `vAutoaction` -

### setCorrelation

    public void setCorrelation(Correlation correlation)

  Sets the value of field 'correlation'.

  Parameters:
    `correlation` - the value of field 'correlation'.

### setCreationTime

    public void setCreationTime(java.lang.String creationTime)

  Sets the value of field 'creationTime'.

  Parameters:
    `creationTime` - the value of field 'creationTime'.

### setDbid

    public void setDbid(int dbid)

  Sets the value of field 'dbid'.

  Parameters:
    `dbid` - the value of field 'dbid'.

### setDescr

    public void setDescr(java.lang.String descr)

  Sets the value of field 'descr'.

  Parameters:
    `descr` - the value of field 'descr'.

### setDistPoller

    public void setDistPoller(java.lang.String distPoller)

  Sets the value of field 'distPoller'.

  Parameters:
    `distPoller` - the value of field 'distPoller'.

### setForward

    public void setForward(int index,
                           Forward vForward)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vForward` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setForward

    public void setForward(Forward[] forwardArray)

  Parameters:
    `forwardArray` -

### setForwardCollection

    public void setForwardCollection(java.util.Collection vForward)

  Parameters:
    `vForward` -

### setHost

    public void setHost(java.lang.String host)

  Sets the value of field 'host'.

  Parameters:
    `host` - the value of field 'host'.

### setIfAlias

    public void setIfAlias(java.lang.String ifAlias)

  Sets the value of field 'ifAlias'.

  Parameters:
    `ifAlias` - the value of field 'ifAlias'.

### setIfIndex

    public void setIfIndex(java.lang.String ifIndex)

  Sets the value of field 'ifIndex'.

  Parameters:
    `ifIndex` - the value of field 'ifIndex'.

### setInterface

    public void setInterface(java.lang.String _interface)

  Sets the value of field 'interface'.

  Parameters:
    `_interface` -

### setLoggroup

    public void setLoggroup(int index,
                            java.lang.String vLoggroup)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vLoggroup` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setLoggroup

    public void setLoggroup(java.lang.String[] loggroupArray)

  Parameters:
    `loggroupArray` -

### setLoggroupCollection

    public void setLoggroupCollection(java.util.Collection vLoggroup)

  Parameters:
    `vLoggroup` -

### setLogmsg

    public void setLogmsg(Logmsg logmsg)

  Sets the value of field 'logmsg'.

  Parameters:
    `logmsg` - the value of field 'logmsg'.

### setMask

    public void setMask(Mask mask)

  Sets the value of field 'mask'.

  Parameters:
    `mask` - the value of field 'mask'.

### setMasterStation

    public void setMasterStation(java.lang.String masterStation)

  Sets the value of field 'masterStation'.

  Parameters:
    `masterStation` - the value of field 'masterStation'.

### setMouseovertext

    public void setMouseovertext(java.lang.String mouseovertext)

  Sets the value of field 'mouseovertext'.

  Parameters:
    `mouseovertext` - the value of field 'mouseovertext'.

### setNodeid

    public void setNodeid(long nodeid)

  Sets the value of field 'nodeid'.

  Parameters:
    `nodeid` - the value of field 'nodeid'.

### setOperaction

    public void setOperaction(int index,
                              Operaction vOperaction)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vOperaction` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setOperaction

    public void setOperaction(Operaction[] operactionArray)

  Parameters:
    `operactionArray` -

### setOperactionCollection

    public void setOperactionCollection(java.util.Collection vOperaction)

  Parameters:
    `vOperaction` -

### setOperinstruct

    public void setOperinstruct(java.lang.String operinstruct)

  Sets the value of field 'operinstruct'.

  Parameters:
    `operinstruct` - the value of field 'operinstruct'.

### setParms

    public void setParms(Parms parms)

  Sets the value of field 'parms'.

  Parameters:
    `parms` - the value of field 'parms'.

### setPathoutage

    public void setPathoutage(java.lang.String pathoutage)

  Sets the value of field 'pathoutage'.

  Parameters:
    `pathoutage` - the value of field 'pathoutage'.

### setScript

    public void setScript(int index,
                          Script vScript)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vScript` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setScript

    public void setScript(Script[] scriptArray)

  Parameters:
    `scriptArray` -

### setScriptCollection

    public void setScriptCollection(java.util.Collection vScript)

  Parameters:
    `vScript` -

### setService

    public void setService(java.lang.String service)

  Sets the value of field 'service'.

  Parameters:
    `service` - the value of field 'service'.

### setSeverity

    public void setSeverity(java.lang.String severity)

  Sets the value of field 'severity'.

  Parameters:
    `severity` - the value of field 'severity'.

### setSnmp

    public void setSnmp(Snmp snmp)

  Sets the value of field 'snmp'.

  Parameters:
    `snmp` - the value of field 'snmp'.

### setSnmphost

    public void setSnmphost(java.lang.String snmphost)

  Sets the value of field 'snmphost'.

  Parameters:
    `snmphost` - the value of field 'snmphost'.

### setSource

    public void setSource(java.lang.String source)

  Sets the value of field 'source'.

  Parameters:
    `source` - the value of field 'source'.

### setTime

    public void setTime(java.lang.String time)

  Sets the value of field 'time'.

  Parameters:
    `time` - the value of field 'time'.

### setTticket

    public void setTticket(Tticket tticket)

  Sets the value of field 'tticket'.

  Parameters:
    `tticket` - the value of field 'tticket'.

### setUei

    public void setUei(java.lang.String uei)

  Sets the value of field 'uei'.

  Parameters:
    `uei` - the value of field 'uei'.

### setUuid

    public void setUuid(java.lang.String uuid)

  Sets the value of field 'uuid'.

  Parameters:
    `uuid` - the value of field 'uuid'.

### unmarshal

    public static Event unmarshal(java.io.Reader reader)
                           throws org.exolab.castor.xml.MarshalException,
                                  org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.